<template>
  <div class="input inputToggle">
    <input
      class="inputToggle-field"
      type="checkbox"
      :value="1"
      :checked="checked"
      :disabled="disabled"
      @change="$emit('change', $event.target.checked)">
  </div>
</template>

<script>
export default {
  name: 'AppCheckboxToggle',
  model: {
    prop: 'checked',
    event: 'change',
  },
  props: {
    checked: {
      type: Boolean,
      default: false,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      state: this.value,
    };
  },
};
</script>

<style scoped lang="postcss">
  .inputToggle {
    &-field {
      position: relative;
      display: block;
      -webkit-appearance: none;
      -moz-appearance: none;
      width: 2.25rem;
      height: 0.875rem;
      background: rgba(34, 31, 31, 0.26);
      outline: none;
      border-radius: 1rem;
      cursor: pointer;

      &:before {
        content: '';
        position: absolute;
        top: -0.25rem;
        left: -0.125rem;
        width: 1.25rem;
        height: 1.25rem;
        border-radius: 50%;
        background: var(--form-switch-active-bg);
        box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.24), 0px 0px 2px rgba(0, 0, 0, 0.12);
        transition: 0.2s background var(--transition-easeOutQuad), 0.2s left var(--transition-easeOutQuad);
      }

      &:checked:before {
        left: 1rem;
        background: var(--link-color);
      }
    }
  }

</style>
